# 雑談対話をカスタマイズするサンプル
自然言語理解APIで提供している雑談ドメインをカスタマイズして、独自の応答を返すようにするサンプル  
https://developer.yahoo.co.jp/webapi/jlp/nlu/v2/doc/response.html

自然言語理解APIでは、入力テキストが雑談を意図していると判定した場合には、レスポンスに応答文としてPARAM_TEXTを返します。
また、挨拶などの一部の発話意図に対して、意図内容を表すPARAM_SMALL_TALK_INTENTを返します。
https://developer.yahoo.co.jp/webapi/jlp/nlu/v2/doc/param.html#PARAM_SMALL_TALK_INTENT

このサンプルでは、特定の発話意図に対しては独自の応答を返し、それ以外の雑談に対してはAPIが出力する応答文を返す雑談対話システムを構築します。

## 実行
```
export NLU_API_APPID=<あなたのアプリケーションID>
python app.py < sample_input.txt
```

出力例は下記です。
```
入力:おはよう	応答:おはようございます。お話できて嬉しいです。
入力:あなたはいくつ	応答:年齢は秘密です。
入力:誕生日は	応答:誕生日は秘密です。
入力:今日の天気	応答:すみません。よくわかりませんでした。
入力:好きな食べ物は	応答:体によい食べ物が好きです。あなたの食生活はいかがですか？
入力:さよなら	応答:また話しかけてくださいね。
```
