import os
import sys

import yj.nlu.api


def main():
    nlu_appid = os.getenv("NLU_API_APPID", "your NLU appid")

    nlu = yj.nlu.api.NluApi(appid=nlu_appid)

    context = {}

    utterance = sys.stdin.readline().rstrip()
    while utterance:
        results = nlu.analyze(utterance, context)
        sys.stdout.write(f"入力: {utterance}\n応答:\n")

        for key, value in results["result"].items():
            if key != "METHOD" and not key.startswith("PARAM_"):
                continue
            sys.stdout.write(f"\t{key}\t{value}\n")

        context = results["context"]
        utterance = sys.stdin.readline().rstrip()


if __name__ == "__main__":
    main()
