# APIの応答をカスタマイズするサンプル
自然言語理解APIで提供している、APIの応答をカスタマイズする機能を利用し、独自のドメインを追加するサンプル。  
参考:  
https://developer.yahoo.co.jp/webapi/jlp/nlu/v2/doc/custom-rule.html
https://developer.yahoo.co.jp/webapi/jlp/nlu/v2/doc/custom-dictionary.html
https://developer.yahoo.co.jp/webapi/jlp/nlu/v2/doc/system-dictionary.html
https://developer.yahoo.co.jp/webapi/jlp/nlu/v2/doc/tutorial/customize-response.html

このサンプルでは、現在の月に対応する旧暦の月を聞くドメイン（ask_old_calendar）と、その逆を聞くドメイン（ask_calendar）の２つを追加します。  

```
export NLU_API_APPID=<APPID>
python app.py < sample_input.txt
```

出力例は下記です。
```
入力:１月の旧暦は	応答:1月の旧暦は睦月です
入力:9月の旧暦を教えて	応答:9月の旧暦は長月です
入力:神無月は何月	応答:神無月は10月です
```
